Application: gvSIG desktop - gvSIG bugs #5082

error tryng to save long named attribute shapefile / error al intentar guardata shapefile con atributos
de nombre largo

06/29/2019 07:36 PM - Mario Fevre
Category: Document table
Severity: Minor Add-on version:
Has patch: Hito:
Description

ES:

Para reprducir este error genré un bf con una columna numeérica cuyo nombre se conformaba por 10 caracteres.
luego uni esa tabala a una capa shapefile de geometrias mediante unir tablas.
Esporté la tabla union resultante, pero generé error.

h2: EN:

Create long named field dbf file at lireoffice
create table union using that table to shapefile
export resultant union layer

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5191: En la exportacion ... Closed 12/30/2019

History

#1 - 03/04/2020 02:27 PM - Alvaro Anguix

- Category set to Document table

#2 - 03/26/2020 12:59 PM - Alvaro Anguix
- Target version set to 2.5.1-3044

También permite, por ejemplo, importar un dbf o csv con nombres de campos largos. Luego, al intentar por ejemplo editar el DBF salen errores por el
tamano de campo.
En estos casos deberia haber algiin mecanismo que bien de forma automatica recortara el nombre del campo, bien avisara al usuario de lo que

sucede con opcion de cambiar el nombre del campo.

#3 - 03/26/2020 02:33 PM - Joaquin del Cerro Murciano

- Related to gvSIG bugs #5191: En la exportacion a SHP no corrige los nombres de campos duplicados added
#4 - 03/26/2020 02:33 PM - Joaquin del Cerro Murciano

- Priority changed from Normal to Immediate

- Assignee set to Oscar Martinez
#5 - 03/31/2020 05:48 PM - Oscar Martinez
- Status changed from New to Fixed

Toda exportacién se realiza con los campos corregidos correctos para ese tipo de proveedor

#6 - 03/31/2020 08:05 PM - Oscar Martinez

r44860,gvsig-tools:r2206

#7 - 04/07/2020 05:05 PM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3044 to 2.5.1-3014

#8 - 04/10/2020 12:33 PM - Alvaro Anguix

- Status changed from Fixed to Closed
